Bug 1403019 - Azure instance disks not deleted
Summary: Azure instance disks not deleted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: Bronagh Sorota
QA Contact: Jeff Teehan
URL:
Whiteboard: provider:azure
Depends On: 1348718
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-08 22:04 UTC by Satoe Imaishi
Modified: 2017-02-27 19:27 UTC (History)
11 users (show)

Fixed In Version: 5.7.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1348718
Environment:
Last Closed: 2017-02-27 19:27:30 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 16:40:42 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/6c2d0c9486f82cc9e6a60a87397b5ebeab1c420a

commit 6c2d0c9486f82cc9e6a60a87397b5ebeab1c420a
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Nov 30 14:21:23 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 11:36:00 2017 -0500

    Merge pull request #14 from bronaghs/delete_vm_and_associated_resources
    
    Delete VM associated resources (NIC, IP, VHD, .status)
    (cherry picked from commit ce3dbbf6bc896a35d94e767a6b746bd55cf92b65)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1403019

 app/models/manageiq/providers/azure/cloud_manager/vm/operations.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Jeff Teehan 2017-01-25 23:34:02 UTC
Delete isn't working anywhere for Azure in 5.7.1  I rechecked 5.7.0.17 and it's still working there.  You get the flash message saying VM destroy initiated, but nothing happens.  You can use 10.16.6.73 see test and see.

[----] E, [2017-01-25T18:30:14.505536 #33814:95f13c] ERROR -- : MIQ(MiqQueue#m_callback) Message id: [85000000006285]: undefined method `delete_associated_resources' for #<Azure::Armrest::VirtualMachineService:0x00000011213818>
[----] E, [2017-01-25T18:30:14.505801 #33814:95f13c] ERROR -- : MIQ(MiqQueue#m_callback) backtrace: /var/www/miq/vmdb/app/models/manageiq/providers/azure/cloud_manager/vm/operations.rb:9:in `raw_destroy'


[----] I, [2017-01-25T18:30:06.734203 #33787:95f13c]  INFO -- : <AutomationEngine> MiqAeEvent.build_evm_event >> event=<:request_vm_destroy> inputs=<{:vm=>#<ManageIQ::Providers::Azure::CloudManager::Vm id: 85000000000755, vendor: "azure", format: nil, version: nil, name: "VmDestory5711", description: nil, location: "e6adc15d-f817-4ab2-863b-41d89dd55ac3\\cfmeqe\\micros...", config_xml: nil, autostart: nil, host_id: nil, last_sync_on: nil, created_on: "2017-01-25 23:25:32", updated_on: "2017-01-25 23:28:52", storage_id: nil, guid: "911e25be-e355-11e6-a0b0-00155d042fde", ems_id: 85000000000003, last_scan_on: nil, last_scan_attempt_on: nil, uid_ems: "e6adc15d-f817-4ab2-863b-41d89dd55ac3\\cfmeqe\\micros...", retires_on: nil, retired: nil, boot_time: nil, tools_status: nil, standby_action: nil, power_state: "on", state_changed_on: "2017-01-25 23:28:52", previous_state: "VM starting", connection_state: nil, last_perf_capture_on: nil, registered: nil, busy: nil, smart: nil, memory_reserve: nil, memory_reserve_expand: nil, memory_limit: nil, memory_shares: nil, memory_shares_level: nil, cpu_reserve: nil, cpu_reserve_expand: nil, cpu_limit: nil, cpu_shares: nil, cpu_shares_level: nil, cpu_affinity: nil, ems_created_on: nil, template: false, evm_owner_id: nil, ems_ref_obj: nil, miq_group_id: 85000000000001, linked_clone: nil, fault_tolerance: nil, type: "ManageIQ::Providers::Azure::CloudManager::Vm", ems_ref: "e6adc15d-f817-4ab2-863b-41d89dd55ac3\\cfmeqe\\micros...", ems_cluster_id: nil, retirement_warn: nil, retirement_last_warn: nil, vnc_port: nil, flavor_id: 85000000000020, availability_zone_id: 85000000000019, cloud: true, retirement_state: nil, cloud_network_id: nil, cloud_subnet_id: nil, cloud_tenant_id: nil, raw_power_state: "VM running", publicly_available: nil, orchestration_stack_id: nil, retirement_requester: nil, tenant_id: 85000000000001, resource_group_id: nil, deprecated: nil, storage_profile_id: nil>, :ext_management_system=>#<ManageIQ::Providers::Azure::CloudManager id: 85000000000003, name: "AzureJT", created_on: "2017-01-25 17:20:31", updated_on: "2017-01-25 23:28:52", guid: "92f8b92c-e322-11e6-a0b0-00155d042fde", zone_id: 85000000000001, type: "ManageIQ::Providers::Azure::CloudManager", api_version: nil, uid_ems: "ad645659-ecb0-41a4-a7ad-3ce6d10910bf", host_default_vnc_port_start: nil, host_default_vnc_port_end: nil, provider_region: "westus", last_refresh_error: nil, last_refresh_date: "2017-01-25 23:28:52", provider_id: nil, realm: nil, tenant_id: 85000000000001, project: nil, parent_ems_id: nil, subscription: "e6adc15d-f817-4ab2-863b-41d89dd55ac3", last_metrics_error: nil, last_metrics_update_date: nil, last_metrics_success_date: nil, tenant_mapping_enabled: nil>, "MiqEvent::miq_event"=>85000000000994, :miq_event_id=>85000000000994, "EventStream::event_stream"=>85000000000994, :event_stream_id=>85000000000994}>
[----] I, [2017-01-25T18:30:06.794680 #33787:95f13c]  INFO -- : MIQ(MiqQueue.put) Message id: [85000000006285],  id: [], Zone: [default], Role: [automate], Server: [], Ident: [generic], Target id: [], Instance id: [], Task id: [], Command: [MiqAeEngine.deliver], Timeout: [3600], Priority: [20], State: [ready], Deliver On: [], Data: [], Args: [{:object_type=>"ManageIQ::Providers::Azure::CloudManager::Vm", :object_id=>85000000000755, :attrs=>{:event_type=>:request_vm_destroy, "VmOrTemplate::vm"=>85000000000755, :vm_id=>85000000000755, "ExtManagementSystem::ext_management_system"=>85000000000003, :ext_management_system_id=>85000000000003, "MiqEvent::miq_event"=>85000000000994, :miq_event_id=>85000000000994, "EventStream::event_stream"=>85000000000994, :event_stream_id=>85000000000994}, :instance_name=>"Event", :user_id=>85000000000001, :miq_group_id=>85000000000001, :tenant_id=>85000000000001, :automate_message=>nil}]
[----] I, [2017-01-25T18:30:06.797311 #33787:95f13c]  INFO -- : MIQ(MiqQueue#m_callback) Message id: [85000000006283], Invoking Callback with args: ["Finished", "ok", "Message delivered successfully", "#<MiqEvent id: 85000000000994, event_type: \"request_vm_destroy\", message: nil, timestamp: \"2017-01-25 23:30:06\", host_name: nil, host_id: nil, vm_name: nil, vm_location: nil, vm_or_template_id: nil, dest_host_name: nil, dest_host_id: nil, dest_vm_name: nil, dest_vm_location: nil, dest_vm_or_template_id: nil, source: \"POLICY\", chain_id: nil, ems_id: nil, is_task: nil, full_data: nil, created_on: \"2017-01-25 23:30:06\", username: nil, ems_cluster_id: nil, ems_cluster_name: nil, ems_cluster_uid: nil..."]
[----] I, [2017-01-25T18:30:12.564460 #33814:95f13c]  INFO -- : MIQ(MiqPriorityWorker::Runner#get_message_via_drb) Message id: [85000000006285], MiqWorker id: [85000000000004], Zone: [default], Role: [automate], Server: [], Ident: [generic], Target id: [], Instance id: [], Task id: [], Command: [MiqAeEngine.deliver], Timeout: [3600], Priority: [20], State: [dequeue], Deliver On: [], Data: [], Args: [{:object_type=>"ManageIQ::Providers::Azure::CloudManager::Vm", :object_id=>85000000000755, :attrs=>{:event_type=>:request_vm_destroy, "VmOrTemplate::vm"=>85000000000755, :vm_id=>85000000000755, "ExtManagementSystem::ext_management_system"=>85000000000003, :ext_management_system_id=>85000000000003, "MiqEvent::miq_event"=>85000000000994, :miq_event_id=>85000000000994, "EventStream::event_stream"=>85000000000994, :event_stream_id=>85000000000994}, :instance_name=>"Event", :user_id=>85000000000001, :miq_group_id=>85000000000001, :tenant_id=>85000000000001, :automate_message=>nil}], Dequeued in: [5.821252663] seconds
[----] I, [2017-01-25T18:30:12.566958 #33814:95f13c]  INFO -- : MIQ(MiqAeEngine.deliver) Delivering {:event_type=>:request_vm_destroy, "VmOrTemplate::vm"=>85000000000755, :vm_id=>85000000000755, "ExtManagementSystem::ext_management_system"=>85000000000003, :ext_management_system_id=>85000000000003, "MiqEvent::miq_event"=>85000000000994, :miq_event_id=>85000000000994, "EventStream::event_stream"=>85000000000994, :event_stream_id=>85000000000994} for object [ManageIQ::Providers::Azure::CloudManager::Vm.85000000000755] with state [] to Automate
[----] I, [2017-01-25T18:30:12.573923 #33814:95f13c]  INFO -- : <AutomationEngine> Instantiating [/System/Process/Event?EventStream%3A%3Aevent_stream=85000000000994&ExtManagementSystem%3A%3Aext_management_system=85000000000003&MiqEvent%3A%3Amiq_event=85000000000994&MiqServer%3A%3Amiq_server=85000000000001&User%3A%3Auser=85000000000001&VmOrTemplate%3A%3Avm=85000000000755&event_stream_id=85000000000994&event_type=request_vm_destroy&ext_management_system_id=85000000000003&miq_event_id=85000000000994&object_name=Event&vm_id=85000000000755&vmdb_object_type=vm]
[----] I, [2017-01-25T18:30:12.612239 #33814:95f13c]  INFO -- : <AutomationEngine> Updated namespace [/System/Process/Event?EventStream%3A%3Aevent_stream=85000000000994&ExtManagementSystem%3A%3Aext_management_system=85000000000003&MiqEvent%3A%3Amiq_event=85000000000994&MiqServer%3A%3Amiq_server=85000000000001&User%3A%3Auser=85000000000001&VmOrTemplate%3A%3Avm=85000000000755&event_stream_id=85000000000994&event_type=request_vm_destroy&ext_management_system_id=85000000000003&miq_event_id=85000000000994&object_name=Event&vm_id=85000000000755&vmdb_object_type=vm  ManageIQ/System]
[----] I, [2017-01-25T18:30:12.706056 #33814:95f13c]  INFO -- : <AutomationEngine> Following Relationship [miqaedb:/System/Event/MiqEvent/POLICY/request_vm_destroy#create]
[----] I, [2017-01-25T18:30:12.747545 #33814:95f13c]  INFO -- : <AutomationEngine> Updated namespace [miqaedb:/System/Event/MiqEvent/POLICY/request_vm_destroy#create  ManageIQ/System/Event/MiqEvent]
[----] I, [2017-01-25T18:30:12.766921 #33814:95f13c]  INFO -- : <AutomationEngine> Instance [/ManageIQ/System/Event/MiqEvent/POLICY/request_vm_destroy] not found in MiqAeDatastore - trying [.missing]
[----] I, [2017-01-25T18:30:12.823073 #33814:95f13c]  INFO -- : MIQ(MiqEvent#process_evm_event) Event Raised [request_vm_destroy]
[----] I, [2017-01-25T18:30:12.882638 #33814:95f13c]  INFO -- : MIQ(MiqEvent#process_evm_event) Alert for Event [request_vm_destroy]
[----] I, [2017-01-25T18:30:12.882971 #33814:95f13c]  INFO -- : MIQ(MiqAlert.evaluate_alerts) [request_vm_destroy] Target: ManageIQ::Providers::Azure::CloudManager::Vm Name: [VmDestory5711], Id: [85000000000755]
[----] I, [2017-01-25T18:30:12.897585 #33814:95f13c]  INFO -- : <AutomationEngine> Followed  Relationship [miqaedb:/System/Event/MiqEvent/POLICY/request_vm_destroy#create]
[----] I, [2017-01-25T18:30:12.983150 #33814:95f13c]  INFO -- : MIQ(MiqQueue#m_callback) Message id: [85000000006285], Invoking Callback with args: [:raw_destroy, "ok", "Message delivered successfully", "#<MiqAeEngine::MiqAeWorkspaceRuntime:0x0000000be59df8 @readonly=false, @nodes=[#<MiqAeEngine::MiqAeObject:0x0000000f9114f0 @workspace=#<MiqAeEngine::MiqAeWorkspaceRuntime:0x0000000be59df8 ...>, @namespace=\"ManageIQ/System\", @klass=\"Process\", @instance=\"Event\", @attributes={\"event_stream_id\"=>\"85000000000994\", \"event_type\"=>\"request_vm_destroy\", \"ext_management_system_id\"=>\"85000000000003\", \"miq_event_id\"=>\"85000000000994\", \"object_name\"=>\"Event\", \"vm_id\"=>\"85000000000755\", \"vmdb_object_type\"=>\"v..."]

Comment 4 Bronagh Sorota 2017-01-26 15:24:51 UTC
Looks like the euwe branch is pointing to version 0.3.9 of the azure-armrest gem, this version does not have support for VM nested delete which is causing the exception described in comment#3 to be thrown. 
https://github.com/ManageIQ/manageiq/blob/euwe/gems/pending/Gemfile

Support for nested delete was added to azure-armrest gem version 0.3.13.

Comment 5 Greg Blomquist 2017-02-01 20:23:31 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1404827 just bumped the Armrest version in Euwe to 0.5.2.

Can this be retested?

Bronagh, does anything else have to happen to enable this in the MIQ repo?  Or, will bumping the gem version just fix it?

Comment 6 Bronagh Sorota 2017-02-01 20:48:37 UTC
Hi Greg,
Correct, this should be fixed now, it will need retested to verify.
Bronagh

Comment 7 Bronagh Sorota 2017-02-01 20:49:01 UTC
https://github.com/ManageIQ/manageiq/pull/13670

Comment 8 Jeff Teehan 2017-02-08 18:31:04 UTC
All right.  Everything is gone.  Nice work.  This should make my life keeping azure neat a lot easier.

Moving to verified on 5.7.1.0.1 running on 10.16.6.208

Comment 9 Jeff Teehan 2017-02-15 05:50:43 UTC
Polarion test case is listed above.  Not sure why this was changed to -

Comment 10 errata-xmlrpc 2017-02-27 19:27:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.